<div class ="container" *ngIf='comics!=null'>
	<div class="mat-elevation-z8 details-container">
		<div class="flex-container-v">
		<h2>{{comics.titre}}</h2>	
		<mat-list class="">
			<mat-list-item>Date de sortie : {{comics.dateSortie.toDateString()}}</mat-list-item>
			<mat-divider></mat-divider>
			<mat-list-item>Créateurs et rôles:</mat-list-item>
				<mat-list class="subList">
					<mat-list-item *ngFor='let creators of comics.createurs'>
						<u>{{creators[0]}}</u> : {{creators[1]}}
					</mat-list-item>
				</mat-list>
			<mat-divider></mat-divider>
			<mat-list-item>Code Diamond : {{comics.diamondCode}}</mat-list-item>
			<mat-divider></mat-divider>
			<mat-list-item>
				<a class="mat-raised-button btn-primary" target="_blank" [href]='comics.webSiteUrl'>
					En savoir plus...
				</a>
			</mat-list-item>

		</mat-list>

		
		
		</div>
		<div class="flex-container-h">
				<img class="img-fluid image-cover"
					[src]='comics.imageUrl'
					[title]='comics.titre'
					[style.max-height.px] = 'imageMaxHeight'
				>
		</div>
	</div>
</div>